Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Interface ContentHandlerFactory.ObjectBuiltListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  AbstractMetadataElement, RDFElement, SVGElement, SVGObj, UnknownXMLObj, XMLObj, XMPMetaElement

Enclosing interface:
  ContentHandlerFactory

    public static interface ContentHandlerFactory.ObjectBuiltListener

extends java.util.EventListener

EventListener interface for objects which want to get notified when ContentHandler implementing the ObjectSource interface has finished parsing.

Method Summary
`void` | `notifyObjectBuilt(java.lang.Object obj)` Notifies the listener when the object is fully built.

Method Detail

### notifyObjectBuilt

    void notifyObjectBuilt(java.lang.Object obj)

  Notifies the listener when the object is fully built.

  Parameters:
    `obj` - the newly built object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.